/*-- -------------------------- -->
<---          Contact           -->
<--- -------------------------- -*/

/* Mobile - 360px */
@media only screen and (min-width: 0rem) {
    #contact-717 {
        padding: var(--sectionPadding);
        position: relative;
        z-index: 1;
    }
    #contact-717 .cs-container {
        width: 100%;
        /* changes to 1280px at desktop */
        max-width: 34.375rem;
        margin: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 3.25rem;
    }
    #contact-717 .cs-picture {
        width: 100%;
        max-width: 40.625rem;
        height: auto;
        /* reset at desktop */
        aspect-ratio: 1.00516351;
        position: relative;
    }
    #contact-717 .cs-picture img {
        width: 100%;
        height: 100%;
        /* makes it act like a background image */
        object-fit: cover;
        position: absolute;
        top: 0;
        left: 0;
    }
    #contact-717 .cs-content {
        /* set text align to left if content needs to be left aligned */
        text-align: left;
        width: 100%;
        max-width: 33.875rem;
        display: flex;
        flex-direction: column;
        /* centers content horizontally, set to flex-start to left align */
        align-items: flex-start;
    }

    #contact-717 .cs-text {
        margin: 0 0 2rem 0;
    }
    #contact-717 .cs-form {
        /* 24px - 48px top and bottom */
        /* 20px - 32px left and right */
        padding: clamp(1.25rem, 4.18vw, 3rem) clamp(1.25rem, 4.18vw, 2rem);
        background-color: #f7f8f8;
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        align-items: center;
        gap: 0.75rem;
    }
    #contact-717 .cs-label {
        /* 14px - 16px */
        font-size: clamp(0.875rem, 1.5vw, 1rem);
        width: 100%;
        color: var(--headerColor);
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 0.25rem;
    }
    #contact-717 .cs-input {
        font-size: 1rem;
        width: 100%;
        height: 3.5rem;
        padding: 0;
        padding-left: 1.5rem;
        color: var(--headerColor);
        background-color: #fff;
        border: none;
        /* prevents padding from adding to height and width */
        box-sizing: border-box;
    }
    #contact-717 .cs-input::placeholder {
        color: #7d799c;
        opacity: 0.6;
    }
    #contact-717 .cs-textarea {
        min-height: 7.5rem;
        padding-top: 1.5rem;
        margin-bottom: 0.75rem;
        font-family: inherit;
    }
    #contact-717 .cs-button-solid {
        font-size: 1rem;
        /* 46px - 56px */
        line-height: clamp(2.875em, 5.5vw, 3.5em);
        text-decoration: none;
        font-weight: 700;
        text-align: center;
        margin: 0;
        color: #fff;
        border: none;
        min-width: 9.375rem;
        padding: 0 1.5rem;
        background-color: var(--primary);
        border-radius: 0.25rem;
        display: inline-block;
        position: relative;
        z-index: 1;
        /* prevents padding from adding to the width */
        box-sizing: border-box;
        transition: color 0.3s;
    }
    #contact-717 .cs-button-solid:before {
        content: "";
        position: absolute;
        height: 100%;
        width: 0%;
        background: #000;
        opacity: 1;
        top: 0;
        left: 0;
        z-index: -1;
        border-radius: 0.25rem;
        transition: width 0.3s;
    }
    #contact-717 .cs-button-solid:hover {
        color: #fff;
    }
    #contact-717 .cs-button-solid:hover:before {
        width: 100%;
    }
    #contact-717 .cs-submit {
        min-width: 17.6875rem;
        border-radius: 0;
    }
}
/* Small Desktop - 1024px */
@media only screen and (min-width: 64rem) {
    #contact-717 .cs-container {
        max-width: 80rem;
        flex-direction: row;
        justify-content: space-between;
        gap: 3.25rem;
    }
    #contact-717 .cs-picture {
        height: 51.875rem;
        aspect-ratio: initial;
    }
}
/* Dark Mode */
@media only screen and (min-width: 0rem) {
    body.dark-mode #contact-717 .cs-topper {
        color: var(--primaryLight);
    }
    body.dark-mode #contact-717 .cs-title,
    body.dark-mode #contact-717 .cs-text {
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-717 .cs-form {
        background-color: var(--medium);
    }
    body.dark-mode #contact-717 .cs-label {
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-717 .cs-input {
        background-color: rgba(255, 255, 255, 0.05);
        color: var(--bodyTextColorWhite);
    }
    body.dark-mode #contact-717 .cs-input::placeholder {
        color: #fff;
        opacity: 0.5;
    }
}

                                